File: changelog

package info (click to toggle)
libopenmpt 0.4.3-1
  • links: PTS, VCS
  • area: main
  • in suites: buster
  • size: 7,588 kB
  • sloc: cpp: 99,819; sh: 4,503; ansic: 3,467; makefile: 480
file content (271 lines) | stat: -rw-r--r-- 8,073 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
libopenmpt (0.4.3-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Fri, 15 Feb 2019 09:30:30 +0000

libopenmpt (0.4.2-1) unstable; urgency=medium

  * New upstream release.

  * d/control: Bump debhelper compat to 12.
  * d/not-installed: Add file and pass --fail-missing to dh_missing.

 -- James Cowgill <jcowgill@debian.org>  Wed, 23 Jan 2019 09:26:13 +0000

libopenmpt (0.4.1-1) unstable; urgency=medium

  * New upstream release.

  * d/patches:
    - Drop patches related to CSoundFile API compatibility - fixed
      upstream.

 -- James Cowgill <jcowgill@debian.org>  Mon, 07 Jan 2019 19:11:44 +0000

libopenmpt (0.4.0-1) unstable; urgency=medium

  * New upstream release.

  * d/copyright: Update for 0.4.0 and sort paragraphs.
  * d/control: Bump standards to 4.3.0.
  * d/patches:
    - Refresh 01_libmodplug_symver.patch.
    - Add patch to fix CSoundFile API compatibility.
  * d/libopenmpt0.symbols: Adjust weak symbols

 -- James Cowgill <jcowgill@debian.org>  Mon, 24 Dec 2018 21:43:58 +0000

libopenmpt (0.3.13-1) unstable; urgency=medium

  * New upstream release.
    - Fixes out of bound read in malformed MED files. (Closes: #911584)

 -- James Cowgill <jcowgill@debian.org>  Mon, 22 Oct 2018 09:46:13 +0100

libopenmpt (0.3.12-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Mon, 24 Sep 2018 09:25:41 +0100

libopenmpt (0.3.11-1) unstable; urgency=medium

  * New upstream release.
    - Fix crash with some malformed custom tunings in MPTM files.
      (Closes: #904874)

 -- James Cowgill <jcowgill@debian.org>  Sun, 29 Jul 2018 13:29:16 +0800

libopenmpt (0.3.10-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Sun, 17 Jun 2018 10:08:38 +0100

libopenmpt (0.3.9-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Mon, 07 May 2018 17:39:24 +0100

libopenmpt (0.3.8-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2018-10017 (Closes: #895406).

  * debian/control:
    - Bump standards version to 4.1.4.

 -- James Cowgill <jcowgill@debian.org>  Wed, 11 Apr 2018 12:19:51 +0100

libopenmpt (0.3.6-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2018-6611 (Closes: #889545).

  * debian/copyright:
    - Update dates.
  * debian/compat:
    - Use debhelper 11.
  * debian/control:
    - Set Maintainer to debian-multimedia@lists.d.o.
    - Switch Vcs URLs to salsa.debian.org.
    - Bump standards version to 4.1.3.
  * debian/rules:
    - Revert workaround implementing build targets manually now that debhelper
      has been fixed.

 -- James Cowgill <jcowgill@debian.org>  Sun, 04 Feb 2018 23:09:22 +0000

libopenmpt (0.3.4-1) unstable; urgency=medium

  * New upstream release.

  * debian/control:
    - Bump standards to 4.1.2.

 -- James Cowgill <jcowgill@debian.org>  Mon, 18 Dec 2017 14:55:44 +0000

libopenmpt (0.3.3-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Tue, 21 Nov 2017 08:54:21 +0000

libopenmpt (0.3.2-1) unstable; urgency=medium

  * New upstream release.

  * debian/control:
    - Set Rules-Requires-Root: no.
  * debian/rules:
    - Remove unused variables.
    - Implement build targets manually to workaround dh not playing well
      with a "build" directory in the upstream source.

 -- James Cowgill <jcowgill@debian.org>  Wed, 08 Nov 2017 23:31:31 +0000

libopenmpt (0.3.1-1) unstable; urgency=medium

  * New upstream release.

  * debian/control:
    - Remove unnecessary testsuite autopkgtest header.
    - Bump standards to 4.1.1 (no changes).
  * debian/copyright:
    - Update copyright including some modifications from decopy.
  * debian/libopenmpt-dev.install:
    - Install libopenmpt_ext.* headers which are now stable.
  * debian/libopenmpt0.symbols:
    - Add new symbols foudn in 0.3.0.
  * debian/patches:
    - Refresh patches.
  * debian/rules:
    - Build doxygen documentation again and update install path.
  * debian/tests:
    - Use openmpt_module_create2 in autopkgtests.
  * debian/watch:
    - Update for new versioning scheme.

 -- James Cowgill <jcowgill@debian.org>  Mon, 02 Oct 2017 23:47:01 +0100

libopenmpt (0.2.8760~beta27-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Wed, 16 Aug 2017 11:31:38 +0100

libopenmpt (0.2.8461~beta26-1) unstable; urgency=medium

  * New upstream release.
    - Fixes CVE-2017-11311: arbitrary code execution via a crafted PSM File.
      (Closes: #867579)

 -- James Cowgill <jcowgill@debian.org>  Fri, 14 Jul 2017 17:21:59 +0100

libopenmpt (0.2.8414~beta25-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Wed, 05 Jul 2017 18:36:10 +0100

libopenmpt (0.2.8190~beta24-1) unstable; urgency=medium

  * New upstream release.
    - Fixes various local denial-of-service security bugs. (Closes: #864195)
  * Upload to unstable.

  * debian/control:
    - Bump standards to 4.0.0 (no changes required).

 -- James Cowgill <jcowgill@debian.org>  Mon, 19 Jun 2017 18:53:10 +0100

libopenmpt (0.2.8043~beta23-1) experimental; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Mon, 01 May 2017 20:16:49 +0100

libopenmpt (0.2.7774~beta22-1) experimental; urgency=medium

  * New upstream release.
  * Disable dynamic library loading following upstream's default change.
  * Use upstream's version of libmodplug.pc now that it's fixed.

 -- James Cowgill <jcowgill@debian.org>  Sun, 19 Mar 2017 21:49:53 +0000

libopenmpt (0.2.7561~beta20.5-1) experimental; urgency=medium

  * New upstream release.

  * debian/copyright:
    - Update dates.
  * debian/patches, debian/libopenmpt-modplug1.symbols:
    - Track modplug symbols in a debian symbols file instead of the ELF symbol
      versioning file.
    - Add new modplug symbols from 0.2.7561~beta20.5.

 -- James Cowgill <jcowgill@debian.org>  Fri, 10 Feb 2017 11:44:43 +0000

libopenmpt (0.2.7386~beta20.3-3) unstable; urgency=medium

  * debian/tests:
    - Depend on build-essential in all autopkgtests. This should fix the
      recent autopkgtest failures.

 -- James Cowgill <jcowgill@debian.org>  Thu, 12 Jan 2017 17:17:13 +0000

libopenmpt (0.2.7386~beta20.3-2) unstable; urgency=medium

  * Enable libmodplug compatibility layer.
    - Add libopenmpt-modplug-dev and libopenmpt-modplug1.
    - Add autopkgtest for libmodplug compat layer.
    - Add ELF symbol versioning to all the symbols exported by the
      compatibility layer.

  * debian/control:
    - Build-Conflicts against autoconf-archive.
    - Drop "decoding" from the short description to make more room.
  * debian/rules:
    - Disable static library in configure invocation.

 -- James Cowgill <jcowgill@debian.org>  Sun, 08 Jan 2017 10:38:40 +0000

libopenmpt (0.2.7386~beta20.3-1) unstable; urgency=medium

  * New upstream release.

 -- James Cowgill <jcowgill@debian.org>  Fri, 25 Nov 2016 09:42:47 +0000

libopenmpt (0.2.7299~beta20.2-2) unstable; urgency=medium

  * debian/control:
    - Add extra dependencies to libopenmpt-dev to satisfy pkg-config. Should
      fix autopkgtest failures.
  * debian/libopenmpt-dev.install:
    - Drop static library.
  * debian/watch:
    - Remove hyphen before @ANY_VERSION@ in watch file.

 -- James Cowgill <jcowgill@debian.org>  Sat, 12 Nov 2016 15:31:14 +0000

libopenmpt (0.2.7299~beta20.2-1) unstable; urgency=medium

  * New upstream release.

  * debian/patches:
    - Drop 01_openmpt123-whatis.patch - applied upstream.
  * debian/rules:
    - Use dh_autoreconf --as-needed.
    - Install libopenmpt/dox/changelog.md as the upstream changelog.
  * debian/tests:
    - Add pkg-config to autopkgtest dependencies.

 -- James Cowgill <jcowgill@debian.org>  Wed, 09 Nov 2016 15:55:27 +0000

libopenmpt (0.2.7025~beta20.1-1) unstable; urgency=medium

  * Initial release. (Closes: #839185)

 -- James Cowgill <jcowgill@debian.org>  Mon, 03 Oct 2016 10:04:29 +0100